#ifndef __IniFile_h__
#define __IniFile_h__

#define CHAR_MAX 256
#define DIGIT_MAX 12

typedef struct
{
	TCHAR pszTextFilename[CHAR_MAX];
	TCHAR pszFontName[CHAR_MAX]; 
	long lFontHeight;
	long lLineSpacing;
	long lTimeLimit;
}TEXTPARAMS, *PTEXTPARAMS;

BOOL ReadParams(PTEXTPARAMS pPara);
BOOL WriteParams(PTEXTPARAMS pPara);
void GetDefaultValues(PTEXTPARAMS pPara);

extern TEXTPARAMS gIniPara; // holds parameters of ini file

#endif