#ifndef SCRIPT_LOADER
#define SCRIPT_LOADER

/* *** Based on some example code from the toolkit, *** */
/* *** this is for reading the control script       *** */
/* *** 3/2001 by Eric Auer                          *** */

typedef struct
{
        TCHAR pszTrialIdent[256]; 
        long lTimeLimit;
        TCHAR pszTextFilename[1024];
	// the rest uses classes defined in the script file
	// so values do not have to be given for each trial
        BOOL bGazeActivate;
        BOOL bLogStream;
	long lUsedButtons;
	int iButtonlList[256];	// at least 16bits wide: CURS_LEFT...
}TRIALPARAMS, *PTRIALPARAMS;

BOOL LoadScript(TCHAR* pszFilename, long* plTrials);
void ReleaseScript();
PTRIALPARAMS GetTrial(long trialno); /* returns NULL, if no trial present */

#endif
